VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget:

## Avaliable Methods
public method | set_folder_id ()
public method | get_folder_id ()
public method | get_host_id ()
public method | get_resource_pool_id ()
public method | new ()
public method | set_host_id ()
public method | set_resource_pool_id ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget` class describes the location (target) where a virtual machine or virtual appliance should be deployed. It is used in the `deploy` and `filter` methods . See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::get_folder_id | ( |  | ) |

Gets the value of 'folder_id' property.

Return values

  folder_id | - The current value of the field. Identifier of the vCenter folder that should contain the virtual machine or virtual appliance. The folder must be virtual machine folder. Optional#

Code:
click to view
# Number of lines of code in get_folder_id: 4
sub get_folder_id {
my ($self, %args) = @_;
return $self->{'folder_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::get_host_id | ( |  | ) |

Gets the value of 'host_id' property.

Return values

  host_id | - The current value of the field. Identifier of the target host on which the virtual machine or virtual appliance will run. The target host must be a member of the cluster that contains the resource pool identified by :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget.resource_pool_id` . Optional#

Code:
click to view
# Number of lines of code in get_host_id: 4
sub get_host_id {
my ($self, %args) = @_;
return $self->{'host_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::get_resource_pool_id | ( |  | ) |

Gets the value of 'resource_pool_id' property.

Return values

  resource_pool_id | - The current value of the field. Identifier of the resource pool to which the virtual machine or virtual appliance should be attached. ID#

Code:
click to view
# Number of lines of code in get_resource_pool_id: 4
sub get_resource_pool_id {
my ($self, %args) = @_;
return $self->{'resource_pool_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{resource_pool_id} = $args{'resource_pool_id'};
$self->{host_id} = $args{'host_id'};
$self->{folder_id} = $args{'folder_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.deployment_target');
$self->set_binding_field('key' => 'resource_pool_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'host_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'folder_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::set_folder_id | ( |  | ) |

Sets the given value for 'folder_id' property.

Parameters

  folder_id | - New value for the field. Identifier of the vCenter folder that should contain the virtual machine or virtual appliance. The folder must be virtual machine folder.

Code:
click to view
# Number of lines of code in set_folder_id: 5
sub set_folder_id {
my ($self, %args) = @_;
$self->{'folder_id'} = $args{'folder_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::set_host_id | ( |  | ) |

Sets the given value for 'host_id' property.

Parameters

  host_id | - New value for the field. Identifier of the target host on which the virtual machine or virtual appliance will run. The target host must be a member of the cluster that contains the resource pool identified by :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget.resource_pool_id` .

Code:
click to view
# Number of lines of code in set_host_id: 5
sub set_host_id {
my ($self, %args) = @_;
$self->{'host_id'} = $args{'host_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentTarget::set_resource_pool_id | ( |  | ) |

Sets the given value for 'resource_pool_id' property.

Parameters

  resource_pool_id | - New value for the field. Identifier of the resource pool to which the virtual machine or virtual appliance should be attached.

Code:
click to view
# Number of lines of code in set_resource_pool_id: 5
sub set_resource_pool_id {
my ($self, %args) = @_;
$self->{'resource_pool_id'} = $args{'resource_pool_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm